=== debian/changelog ===
freeradius (3.2.1+dfsg-4+deb12u1) bookworm; urgency=medium

  * Add d/gbp.conf for bookworm stable branch
  * Cherry-Pick two upstream commits to fix TLS-Client-Cert-Common-Name
    contains incorrect value (Closes: #1043282)

 -- Bernhard Schmidt <berni@debian.org>  Sat, 19 Aug 2023 00:26:34 +0200

freeradius (3.2.1+dfsg-4) unstable; urgency=medium

  * Don't install symlink for cache_eap module no longer shipped
    (Closes: #1035853)

 -- Bernhard Schmidt <berni@debian.org>  Tue, 16 May 2023 00:04:23 +0200

freeradius (3.2.1+dfsg-3) unstable; urgency=medium

  * Cherry-pick upstream patch to fix partical CA support (Closes: #1032590)

 -- Bernhard Schmidt <berni@debian.org>  Fri, 10 Mar 2023 08:53:27 +0100

freeradius (3.2.1+dfsg-2) unstable; urgency=medium

  * Cherry-pick upstream fix for EAP-TTLS-MSCHAPv2 with TLSv1.3
    (Closes: #919234)

 -- Bernhard Schmidt <berni@debian.org>  Tue, 07 Mar 2023 22:51:06 +0100

freeradius (3.2.1+dfsg-1) unstable; urgency=medium

  * New upstream version 3.2.1+dfsg (Closes: #1025426)
  * Drop d/p/mkdirp.diff, fixed upstream
  * Drop d/p/python_config_script_update.diff, fixed upstream
  * Refresh patch
  * Fix lintian overrides
  * Bump debhelper to version 13, drop old dbgsym migration

 -- Bernhard Schmidt <berni@debian.org>  Wed, 28 Dec 2022 00:10:38 +0100
