## freeradius 3.2.2+dfsg

=== debian/changelog ===
freeradius (3.2.2+dfsg-1~exp1) experimental; urgency=medium

  * New upstream version 3.2.2+dfsg
  * Drop patches applied upstream

 -- Bernhard Schmidt <berni@debian.org>  Sat, 11 Mar 2023 21:49:25 +0100
