=== debian/changelog ===
freeradius (3.2.3+dfsg-2build7) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 05:22:45 +0000

freeradius (3.2.3+dfsg-2build6) noble; urgency=high

  * No change rebuild against libcurl4t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 17:05:25 +0100

freeradius (3.2.3+dfsg-2build5) noble; urgency=medium

  * No-change rebuild against libcom-err2

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 12 Mar 2024 20:32:43 +0000

freeradius (3.2.3+dfsg-2build4) noble; urgency=medium

  * No-change rebuild against libperl5.38t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 09 Mar 2024 18:19:16 +0000

freeradius (3.2.3+dfsg-2build3) noble; urgency=medium

  * No-change rebuild for perlapi5.38t64.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 03 Mar 2024 05:41:45 +0100

freeradius (3.2.3+dfsg-2build2) noble; urgency=medium

  * No-change rebuild with Python 3.12 as default

 -- Graham Inggs <ginggs@ubuntu.com>  Sun, 21 Jan 2024 07:37:30 +0000

freeradius (3.2.3+dfsg-2build1) noble; urgency=medium

  * No-change rebuild for the perl update.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 11 Jan 2024 04:02:48 +0100

freeradius (3.2.3+dfsg-2) unstable; urgency=medium

  * Don't build against libpcre3 (Closes: #1000031)
    FreeRADIUS will use Posix regular expressions

 -- Bernhard Schmidt <berni@debian.org>  Sun, 02 Jul 2023 22:23:21 +0200

freeradius (3.2.3+dfsg-1) unstable; urgency=medium

  * New upstream version 3.2.3+dfsg (Closes: #1032572)
    - Drop patches applied upstream
    - d/freeradius-redis.install: Include new rlm_cache_redis module
    - Unfuzz d/p/snakeoil-certs.diff
  * Bump Standards-Version, no changes necessary
  * Drop obsolete lsb-base dependency

 -- Bernhard Schmidt <berni@debian.org>  Fri, 23 Jun 2023 20:20:19 +0200
