=== debian/control ===
--- 
+++ 
@@ -15,7 +15,6 @@
                libmemcached-dev,
                libpam0g-dev,
                libpcap-dev,
-               libpcre3-dev,
                libperl-dev,
                libpq-dev,
                libreadline-dev,
@@ -32,11 +31,12 @@
                snmp
 Section: net
 Priority: optional
-Maintainer: Debian FreeRADIUS Packaging Team <pkg-freeradius-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian FreeRADIUS Packaging Team <pkg-freeradius-maintainers@lists.alioth.debian.org>
 Uploaders: Mark Hymers <mhy@debian.org>,
            Sam Hartman <hartmans@debian.org>,
            Bernhard Schmidt <berni@debian.org>
-Standards-Version: 4.4.1
+Standards-Version: 4.6.2
 Homepage: http://www.freeradius.org/
 Vcs-Git: https://salsa.debian.org/debian/freeradius.git
 Vcs-Browser: https://salsa.debian.org/debian/freeradius
@@ -46,7 +46,6 @@
 Depends: freeradius-common,
          freeradius-config,
          libfreeradius3 (= ${binary:Version}),
-         lsb-base,
          ${dist:Depends},
          ${misc:Depends},
          ${shlibs:Depends}
