## freeradius 3.2.5%2Bdfsg

=== debian/changelog ===
freeradius (3.2.5+dfsg-3~ubuntu24.04.3) noble; urgency=medium

  * d/p/lp-2104372-fix-crash-status-server-ping.patch: Fix crash due to ping
    packet from status server (LP: #2104372)

 -- Lena Voytek <lena.voytek@canonical.com>  Fri, 28 Mar 2025 13:03:23 -0400

freeradius (3.2.5+dfsg-3~ubuntu24.04.2) noble; urgency=medium

  * d/p/lp-2087740-fix-duplicate-packet-send.patch fix duplicate packet sends
    on COA calls (LP: #2087740)

 -- jchittum <john.chittum@canonical.com>  Tue, 10 Dec 2024 11:06:27 -0400

freeradius (3.2.5+dfsg-3~ubuntu24.04.1) noble-security; urgency=medium

  * Build as security update for noble
    - SECURITY UPDATE: forgery attack via MD5 collision (Blast-RADIUS)
    - CVE-2024-3596

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 12 Sep 2024 14:22:30 -0400

freeradius (3.2.5+dfsg-3) unstable; urgency=medium

  [ Andreas Hasenack ]
  * Cherry-Pick from upstream: Replace radsecret with shell script to avoid
    dependency on extra perl modules (Closes: #1076458)

 -- Bernhard Schmidt <berni@debian.org>  Wed, 17 Jul 2024 22:44:55 +0200

freeradius (3.2.5+dfsg-2) unstable; urgency=medium

  * Fix parallel builds
  * Fix python3 autopkgtest
  * freeradius-utils: add perl modules needed for radsecret, run radsecret
    in autopkgtest instead of radlast (which needs wtmp)
  * d/freeradius.service: Use MemoryMax= instead of MemoryLimit=
    (Closes: #1072253)

 -- Bernhard Schmidt <berni@debian.org>  Wed, 10 Jul 2024 22:45:00 +0200

freeradius (3.2.5+dfsg-1) unstable; urgency=medium

  * New upstream version 3.2.5+dfsg
    This release adds a few hardening mitigations for the BlastRADIUS protocol
    vulnerability (CVE-2024-3596).
    - add new radsecret binary
    - add new rlm_dpsk and rlm_eap_teap modules
  * d/watch: Limit to 3.2 series

 -- Bernhard Schmidt <berni@debian.org>  Tue, 09 Jul 2024 23:31:16 +0200
