=== src/tests/radsec/Makefile ===
include ../../../Make.inc

all: tests.radsec
	@echo "All tests done"

include all.mk


.PHONY: clean
clean: clean.tests.radsec
