=== debian/control ===
--- 
+++ 
@@ -48,6 +48,7 @@
          libfreeradius3 (= ${binary:Version}),
          ${dist:Depends},
          ${misc:Depends},
+         ${perl:Depends},
          ${shlibs:Depends}
 Provides: radius-server
 Recommends: freeradius-utils
@@ -100,14 +101,17 @@
          libfreeradius3 (= ${binary:Version}),
          ${dist:Depends},
          ${misc:Depends},
+         ${perl:Depends},
          ${shlibs:Depends}
 Recommends: libdbi-perl
 Description: FreeRADIUS client utilities
  This package contains various client programs and utilities from
  the FreeRADIUS Server project, including:
   - radclient
+  - radcrypt
   - radeapclient
   - radlast
+  - radsecret
   - radsniff
   - radsqlrelay
   - radtest
