## freeradius 3.2.6+dfsg

=== debian/changelog ===
freeradius (3.2.6+dfsg-3) unstable; urgency=medium

  [ Bastien Roucariès ]
  * [CVE-2019-10143] Update logrotate file to be more in line with upstream
    (Closes: #929466)

  [ Arnaud Rebillout ]
  * freeradius-utils: add wtmpdb needed for radlast

  [ Santiago Ruano Rincón ]
  * Add Blast-RADIUS information in d/NEWS.Debian

  [ Bernhard Schmidt ]
  * Build-Depend on libwbclient-dev instead of samba-dev (Closes: #1064542)
  * Delete src/freeradius-devel in dh_clean (Closes: #1044654)
  * Drop obsolete d/README.Debian

 -- Bernhard Schmidt <berni@debian.org>  Sun, 05 Jan 2025 11:43:05 +0100

freeradius (3.2.6+dfsg-2) unstable; urgency=medium

  * Sourceful upload to sync the version in salsa with the version in
    the archive, looks like I accidentally uploaded an interim build.
  * Drop patches applied upstream

 -- Bernhard Schmidt <berni@debian.org>  Sat, 21 Dec 2024 14:37:25 +0100

freeradius (3.2.6+dfsg-1) unstable; urgency=medium

  * New upstream version 3.2.6+dfsg
  * d/tests: Use passlib.hash.sha512_crypt instead of deprecated crypt standard
    library (Closes: #1084635)

 -- Bernhard Schmidt <berni@debian.org>  Sun, 08 Dec 2024 14:54:06 +0100
