=== debian/control ===
--- 
+++ 
@@ -27,12 +27,11 @@
                libykclient-dev,
                libyubikey-dev,
                python3-dev,
-               samba-dev | samba4-dev,
+               libwbclient-dev (>> 2:4.19.6+dfsg-2~),
                snmp
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian FreeRADIUS Packaging Team <pkg-freeradius-maintainers@lists.alioth.debian.org>
+Maintainer: Debian FreeRADIUS Packaging Team <pkg-freeradius-maintainers@lists.alioth.debian.org>
 Uploaders: Mark Hymers <mhy@debian.org>,
            Sam Hartman <hartmans@debian.org>,
            Bernhard Schmidt <berni@debian.org>
@@ -99,6 +98,7 @@
 Depends: freeradius-common,
          freeradius-config,
          libfreeradius3 (= ${binary:Version}),
+         wtmpdb,
          ${dist:Depends},
          ${misc:Depends},
          ${perl:Depends},
